Name:           wise2
Version:        2.2.0
Release:        14%{?dist}
Summary:        Tools for comparison of biopolymers

Group:          Applications/Engineering
## Everything is licensed under a BSD-style license except for
## the HMMer2 libraries and models directory which are GPLv2+
## see LICENSE files for details. 
License:        BSD and GPLv2+
URL:            http://www.ebi.ac.uk/Wise2/
Source0:        ftp://ftp.ebi.ac.uk/pub/software/unix/wise2/wise%{version}.tar.gz
Patch0:         wise2-build.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Wise2 is a package focused on comparisons of biopolymers, commonly DNA
sequence and protein sequence.  A strength of Wise2 is the
comparison of DNA sequence at the level of its protein
translation. This comparison allows the simultaneous prediction of
gene structure with homology based alignment.

%prep
%setup -q -n wise%{version}

## don't run "welcome.csh"
%patch0 -p0

## fix interpreter in examples
sed -i 's#/usr/local/bin/perl#/usr/bin/perl#' docs/gettex.pl
## fix perms 
chmod -x test_data/rrm.HMM

## pull out licenses
for i in base dynlibsrc dyc
do
    cp src/$i/LICENSE LICENSE.$i
done
cp src/models/GNULICENSE LICENSE.GPL

%build
cd src
## removed "{?_smp_mflags}", does not support parallel build
make CC=gcc CFLAGS="-c $RPM_OPT_FLAGS -D_POSIX_C_SOURCE=200112L" all

%install
rm -rf $RPM_BUILD_ROOT
cd src/bin
%{__mkdir_p} $RPM_BUILD_ROOT%{_bindir}
for i in dba dnal estwise estwisedb genewise genewisedb genomewise psw pswdb
do
    %{__install} $i $RPM_BUILD_ROOT/%{_bindir} 
done
cd -
# install architecture-independent data and config files
%{__mkdir_p} $RPM_BUILD_ROOT%{_datadir}/wise2
cd wisecfg
%{__install} -pm 644 * $RPM_BUILD_ROOT%{_datadir}/wise2

# install scripts to automatically set the WISECONFIGDIR environment variable
%{__mkdir_p} $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
echo "export WISECONFIGDIR=%{_datadir}/wise2/" > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/wise2.sh
echo "setenv WISECONFIGDIR %{_datadir}/wise2/" > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/wise2.csh

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc docs test_data
%doc INSTALL LICENSE README LICENSE.base LICENSE.dynlibsrc LICENSE.dyc LICENSE.GPL
%{_bindir}/*
%{_datadir}/wise2
%config(noreplace) %{_sysconfdir}/profile.d/*

%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 16 2009 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.2.0-6
- Add -D_POSIX_C_SOURCE=200112L to CFLAGS as a workaround to fix FTBFS (#511627)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  9 2008 Alex Lancaster <alexlan[AT]fedoraproject org> - 2.2.0-4
- rebuilt for GCC 4.3 as requested by Fedora Release Engineering

* Thu Aug 16 2007 Alex Lancaster <alexl@users.sourceforge.net> 2.2.0-3
- Clarify license as BSD and GPLv2+

* Mon Apr 12 2007 Alex Lancaster <alexl@users.sourceforge.net> 2.2.0-2
- Pass $RPM_OPT_FLAGS to compiler as per suggestion from Ralf Corsepius.

* Mon Apr 11 2007 Alex Lancaster <alexl@users.sourceforge.net> 2.2.0-1
- Initial Fedora package.
